Package io.dapr.client.domain

# Class InvokeBindingRequest

java.lang.Object
io.dapr.client.domain.InvokeBindingRequest

public class InvokeBindingRequest extends Object
A request to invoke binding.

## Constructor Summary

Constructors
Constructor
Description
`InvokeBindingRequest(String bindingName, String operation)`
Constructor for InvokeBindingRequest.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getData()`
`Map<String,String>`
`getMetadata()`
`String`
`getName()`
`String`
`getOperation()`
`InvokeBindingRequest`
`setData(Object data)`
`InvokeBindingRequest`
`setMetadata(Map<String,String> metadata)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InvokeBindingRequest

public InvokeBindingRequest(String bindingName, String operation)
Constructor for InvokeBindingRequest.

Parameters:
  `bindingName` - Name of the binding
  `operation` - Name of the binding operation

## Method Details

### getName

public String getName()

### getOperation

public String getOperation()

### getData

public Object getData()

### setData

public InvokeBindingRequest setData(Object data)

### getMetadata

public Map<String,String> getMetadata()

### setMetadata

public InvokeBindingRequest setMetadata(Map<String,String> metadata)